Extending Qt Creator Manual | TextRange

Extending Qt Creator Manual 4.5.2

# TextRange Class

(Core::Search::TextRange)

- List of all members, including inherited members

## Public Functions

| TextRange() = default
| TextRange(TextPosition begin, TextPosition end)
int | endLineOffsetDifference() const
int | length() const
QString | mid(const QString &text) const

## Member Function Documentation

### `[default]` TextRange::TextRange()

Default constructs an instance of TextRange.

### TextRange::TextRange(TextPosition begin, TextPosition end)

Default constructs an instance of TextRange.

### int TextRange::endLineOffsetDifference() const

### int TextRange::length() const

### QString TextRange::mid(const QString &text) const